package main

import "testing"

func TestGetIPWithoutPort(t *testing.T) {
	t.Run("IPv6", func(t *testing.T) {
		got := getIPWithoutPort("[::1]:2222")
		want := "::1"

		if want != got {
			t.Fatalf("Want '%s' but got '%s'", want, got)
		}
	})

	t.Run("IPv4", func(t *testing.T) {
		got := getIPWithoutPort("127.0.0.1:2222")
		want := "127.0.0.1"

		if want != got {
			t.Fatalf("Want '%s' but got '%s'", want, got)
		}
	})
}
